weka.core

## Class AttributeStats

- java.lang.Object
- - weka.core.AttributeStats

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler

      public class AttributeStats
      extends java.lang.Object
      implements java.io.Serializable, RevisionHandler

  A Utility class that contains summary information on an the values that appear in a dataset for a particular attribute.
  Version:
    $Revision: 14912 $
  Author:
    Len Trigg
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `distinctCount` The number of distinct values
    `int` | `intCount` The number of int-like values
    `int` | `missingCount` The number of missing values
    `int[]` | `nominalCounts` Counts of each nominal value
    `double[]` | `nominalWeights` Weight mass for each nominal value
    `Stats` | `numericStats` Stats on numeric value distributions
    `int` | `realCount` The number of real-like values (i.e.
    `int` | `totalCount` The total number of values (i.e.
    `int` | `uniqueCount` The number of values that only appear once

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeStats()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.lang.String` | `toString()` Returns a human readable representation of this AttributeStats instance.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### intCount

          public int intCount

      The number of int-like values

    - #### realCount

          public int realCount

      The number of real-like values (i.e. have a fractional part)

    - #### missingCount

          public int missingCount

      The number of missing values

    - #### distinctCount

          public int distinctCount

      The number of distinct values

    - #### uniqueCount

          public int uniqueCount

      The number of values that only appear once

    - #### totalCount

          public int totalCount

      The total number of values (i.e. number of instances)

    - #### numericStats

          public Stats numericStats

      Stats on numeric value distributions

    - #### nominalCounts

          public int[] nominalCounts

      Counts of each nominal value

    - #### nominalWeights

          public double[] nominalWeights

      Weight mass for each nominal value

  - ### Constructor Detail

    - #### AttributeStats

          public AttributeStats()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a human readable representation of this AttributeStats instance.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a String represtinging these AttributeStats.

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision